Subject: Re: Permissions per git repository

From: Jakub Narebski <[email-masked]>
Date: Mon, 28 Nov 2011 09:40:11 -0800 (PST)

pcm2a <[email-masked]> writes:

> I have a central git repository running on Windows Server 2008 using Apache
> 2.2 + Smart HTTP + SSPI (for authentication).  I can easily limit users to
> all of the repositories with the 'require' command in apache. This is for
> all repositories and not just certain ones.
> 
> How can I limit user(s) or group(s) to one repository and a different
> user(s) or group(s) to another repository using git or apache configuration?

If I remember correctly gitolite (a tool to manage access to git
repositories) has support for controlling access via smart HTTP.

-- 
Jakub Narębski